Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class IQAdminHandler

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.IQAdminHandler

    public class IQAdminHandler

extends Object

A handler for the IQ packet with namespace http://jabber.org/protocol/muc#admin. This kind of packets are usually sent by room admins. So this handler provides the necessary functionality to support administrator requirements such as: managing room members/outcasts/etc., kicking occupants and banning users.

Author:
  Gaston Dombiak

Constructor Summary
`IQAdminHandler(LocalMUCRoom chatroom, PacketRouter packetRouter)`

Method Summary
`void` | `handleIQ(org.xmpp.packet.IQ packet, MUCRole role)` Handles the IQ packet sent by an owner or admin of the room.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQAdminHandler

    public IQAdminHandler(LocalMUCRoom chatroom,
                          PacketRouter packetRouter)

Method Detail

### handleIQ

    public void handleIQ(org.xmpp.packet.IQ packet,
                         MUCRole role)
                  throws ForbiddenException,
                         ConflictException,
                         NotAllowedException,
                         CannotBeInvitedException

  Handles the IQ packet sent by an owner or admin of the room. Possible actions are:
  - Return the list of participants
  - Return the list of moderators
  - Return the list of members
  - Return the list of outcasts
  - Change user's affiliation to member
  - Change user's affiliation to outcast
  - Change user's affiliation to none
  - Change occupant's affiliation to moderator
  - Change occupant's affiliation to participant
  - Change occupant's affiliation to visitor
  - Kick occupants from the room

  Parameters:
    `packet` - the IQ packet sent by an owner or admin of the room.
    `role` - the role of the user that sent the request packet.
  Throws:
    `ForbiddenException` - If the user is not allowed to perform his request.
    `ConflictException` - If the desired room nickname is already reserved for the room or if the room was going to lose all of its owners.
    `NotAllowedException` - Thrown if trying to ban an owner or an administrator.
    `CannotBeInvitedException` - If the user being invited as a result of being added to a members-only room still does not have permission

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.